aboutsummaryrefslogtreecommitdiffstats
path: root/tools/execute_command.sh
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-07-03 16:18:32 +0800
committerGitHub <noreply@github.com>2024-07-03 16:18:32 +0800
commit499b7cdef5d62298c17889895a61a110d7cd8168 (patch)
tree94d5c0d1fa7cd90e7948ae9d55e5b00bdf4ac289 /tools/execute_command.sh
parent970ed06d2b5759e8d17aeed55fbfde591fb0ff84 (diff)
downloadllm-functions-docker-499b7cdef5d62298c17889895a61a110d7cd8168.tar.gz
feat: rename `may_execute_*` to `execute_*` (#56)
Diffstat (limited to 'tools/execute_command.sh')
-rwxr-xr-xtools/execute_command.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/execute_command.sh b/tools/execute_command.sh
new file mode 100755
index 0000000..6acc021
--- /dev/null
+++ b/tools/execute_command.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Runs a shell command.
+# @option --command! The command to execute.
+
+main() {
+ eval "$argc_command"
+}
+
+eval "$(argc --argc-eval "$0" "$@")" \ No newline at end of file